@import "variables";

.page-wrap > header {
    nav.navbar {
        border: none;
        border-radius: 0;
        margin-bottom: 0;
        &.navbar-inverse {
            .navbar-nav {
                > li {
                    > a {
                        & {
                            background-color: transparent;
                            color: inherit;
                        }
                        &:hover, &:active, &:focus {
                            background-color: darken(@ge-color-blue, 5%);
                            color: lighten(@ge-color-gray, 40%);
                        }
                    }
                    &.active {
                        > a {
                            background-color: darken(@ge-color-blue, 5%);
                            color: lighten(@ge-color-gray, 40%);
                        }
                    }
                    ul.dropdown-menu {
                        background-color: @ge-color-blue;
                        border-radius: 0;
                        color: lighten(@ge-color-gray, 40%);
                        > li {
                            > a {
                                background-color: inherit;
                                color: inherit;
                                &:hover, &:active, &:focus {
                                    background-color: darken(@ge-color-blue, 5%);
                                    color: lighten(@ge-color-gray, 40%);
                                }
                            }
                            ul.dropdown-menu {
                                margin-top: -6px;
                            }
                        }
                    }
                }
            }
        }
    }
    @media(min-width: @screen-sm-min) {
        padding-bottom: 0;
        > div {
            padding: 0;
            > nav.navbar {
                border: none;
                border-radius: 0;
                margin-bottom: 0;
                &.navbar-default {
                    background-color: transparent;
                }
                &.navbar-inverse {
                    background-color: @ge-color-blue;
                    color: lighten(@ge-color-gray, 40%);
                    z-index: 9;
                    #global-navigation {
                        color: inherit;
                        > .brand {
                            display: none;
                        }
                        > .navbar-nav {
                            float: right;
                            li {
                                position: relative;
                            }
                            > li {
                                ul.dropdown-menu {
                                    > li {
                                        &.dropdown-submenu:hover {
                                            > ul {
                                                display: block;
                                                left: -100%;
                                                position: absolute;
                                                top: 0;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                .navbar-header {
                    display: table;
                    float: none;
                    padding-bottom: 12px;
                    > .navbar-brand {
                        display: table-cell;
                        float: none;
                        height: @navbar-padding-vertical + @header-logo-height;
                        padding: 8px 0;
                        position: relative;
                        white-space: nowrap;
                        &:nth-child(1) > img {
                            min-width: 186px;
                            min-height: 127px;
                        }
                        > img, > object {
                            border: 0;
                            display: inline-block;
                            height: 100%;
                            max-width: 100%;
                            vertical-align: middle;
                        }
                        // &:after {
                        //     bottom: 0;
                        //     content: '';
                        //     cursor: pointer;
                        //     background-color: transparent;
                        //     left: 0;
                        //     position: absolute;
                        //     right: 0;
                        //     top: 0;
                        // }
                        .baseline {
                            display: none;
                            float: left;
                            font-family: Helvetica Neue;
                            margin-left: 16px;
                            margin-top: -42px;
                        }
                    }
                }
            }
        }
        &.affix {
            position: relative;
            margin-bottom: 50px;
            > div > nav:nth-child(3) {
                position: fixed;
                top: 0;
                width: 100%;
            }
            @media(min-width: @screen-sm-min) {
                > div {
                    > nav.navbar {
                        &.navbar-inverse {
                            #global-navigation {
                                > .brand {
                                    display: inline-block;
                                    > img {
                                        height: 50px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    @media(max-width: @screen-xs-max) {
        background-color: @ge-color-blue;
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 9;
        > nav:nth-child(1) {
            &.navbar-inverse, &.navbar-default {
                background-color: @ge-color-blue;
                color: lighten(@ge-color-gray, 40%);
            }

            .navbar-toggle {
                border-color: lighten(@ge-color-gray, 40%);
                border-radius: 0;
                float: left;
                &:hover, &:active, &:focus {
                    background-color: transparent;
                    border-color: lighten(@ge-color-gray, 40%);
                }
                .icon-bar {
                    background-color: lighten(@ge-color-gray, 50%);
                }
                + a {
                    line-height: 50px;
                    margin-left: -((@navbar-padding-horizontal + 2*10px + 22px + @navbar-padding-horizontal));
                    padding: 7px 0 7px 65px;
                    vertical-align: middle;
                    width: 100%;
                    > img, > object {
                        border: 0;
                        height: 100%;
                        max-width: 100%;
                        vertical-align: middle;
                    }
                }
            }
        }
        > .navbar-collapse {
            padding: 0;
            > nav.navbar {
                background-color: @ge-color-blue;
                color: lighten(@ge-color-gray, 40%);
                &.navbar-inverse, &.navbar-default {
                    .navbar-nav, .dropdown-menu {
                        > * > a {
                            & {
                                background-color: transparent;
                                color: lighten(@ge-color-gray, 40%);
                            }
                            &:hover, &:active, &:focus {
                                background-color: darken(@ge-color-blue, 5%);
                                color: lighten(@ge-color-gray, 40%);
                            }
                        }
                    }
                }
            }
        }
        + div {
            margin-top: 60px;
        }
    }
}
